2017-11-24 09:11 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001665OpenFOAM[All Projects] Bugpublic2017-11-06 01:05
Reporterandras 
Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSLinuxOS Version3.2.0-29-generic
Product Version 
Target VersionFixed in Version 
Summary0001665: multiphaseInterFoam regression
DescriptionmultiphaseInterFoam-2.3.x is very unstable if rotation axis is not aligned with wall cells.
Steps To Reproduce1) Run the modified, attached tutorial using "Allrun"

2) Changing the rotation axis in fvOptions to be aligned with the geometry, i.e. to ( 1 0 6 ) and running again, multiphaseInterFoam will not crash.
Additional InformationCrashes in 2.3.x-16e20e833934.
Case runs without problems in 2.3.0.

This is the most simple test case I managed to come up with. It is also valid and reproducable for complex geometries.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004631

henry (manager)

When you say "multiphaseInterFoam-2.3.x is very unstable" what is the mode of failure? Does the phase-fraction go unbounded? How long does it run for?

~0004632

andras (reporter)

Henry,
it does not even complete the first iteration.

----
[...]

--> FOAM FATAL ERROR:
Continuity error cannot be removed by adjusting the outflow.
Please check the velocity boundary conditions and/or run potentialFoam to initialise the outflow.
Total flux : 3.78634823e-05
Specified mass inflow : 1.48335713
Specified mass outflow : 1.48335713
Adjustable mass outflow : 0
    
    From function adjustPhi(surfaceScalarField&, const volVectorField&,volScalarField&)
    in file cfdTools/general/adjustPhi/adjustPhi.C at line 118.

FOAM exiting
----


Cheers
Andras

~0004633

henry (manager)

This is not an issue with stability but with the adjustPhi check. I have fixed the problem and running your case. I will push the fix shortly.

~0004634

henry (manager)

Resolved by commit 7d3568787ed2e9dae5938ce707a01f0b004a86d2
+Notes

-Issue History
Date Modified Username Field Change
2015-04-20 14:37 andras New Issue
2015-04-20 14:37 andras File Added: mixerVessel3D.tar.gz
2015-04-20 15:58 henry Note Added: 0004631
2015-04-20 16:31 andras Note Added: 0004632
2015-04-20 16:41 henry Note Added: 0004633
2015-04-20 16:46 henry Note Added: 0004634
2015-04-20 16:46 henry Status new => resolved
2015-04-20 16:46 henry Resolution open => fixed
2015-04-20 16:46 henry Assigned To => henry
+Issue History